JBoss API: Class JawsEntityMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.metadata
Class JawsEntityMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.ejb.plugins.jaws.metadata.JawsEntityMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class JawsEntityMetaData
extends MetaData
implements XmlLoadable

Version:
  $Revision: 1.9.4.5 $
Author:
  Sebastien Alborini, Dirk Zimmermann, Vinay Menon
See Also:

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`JawsEntityMetaData(JawsApplicationMetaData app, EntityMetaData ent)`

Method Summary
`CMPFieldMetaData` | `getCMPFieldByName(java.lang.String name)`
`java.util.Iterator` | `getCMPFields()`
`java.sql.Connection` | `getConnection()`
`boolean` | `getCreateTable()`
`java.lang.String` | `getDbURL()`
`java.util.Iterator` | `getEjbReferences()`
`EntityMetaData` | `getEntity()`
`java.util.Iterator` | `getFinders()`
`JawsApplicationMetaData` | `getJawsApplication()`
`java.lang.String` | `getName()`
`int` | `getNumberOfCMPFields()`
`int` | `getNumberOfPkFields()`
`java.util.Iterator` | `getPkFields()`
`java.lang.Class` | `getPrimaryKeyClass()`
`java.lang.String` | `getPrimKeyField()`
`int` | `getReadOnlyTimeOut()`
`boolean` | `getRemoveTable()`
`java.lang.String` | `getTableName()`
`boolean` | `hasCompositeKey()`
`boolean` | `hasPkConstraint()`
`boolean` | `hasSelectForUpdate()`
`boolean` | `hasTunedUpdates()`
`void` | `importXml(org.w3c.dom.Element element)`
`boolean` | `isReadOnly()`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JawsEntityMetaData

    public JawsEntityMetaData(JawsApplicationMetaData app,
                              EntityMetaData ent)
                       throws DeploymentException

Method Detail

### getJawsApplication

    public JawsApplicationMetaData getJawsApplication()

### getEntity

    public EntityMetaData getEntity()

### getCMPFields

    public java.util.Iterator getCMPFields()

### getCMPFieldByName

    public CMPFieldMetaData getCMPFieldByName(java.lang.String name)

### getPkFields

    public java.util.Iterator getPkFields()

### getNumberOfPkFields

    public int getNumberOfPkFields()

### getTableName

    public java.lang.String getTableName()

### getCreateTable

    public boolean getCreateTable()

### getRemoveTable

    public boolean getRemoveTable()

### hasTunedUpdates

    public boolean hasTunedUpdates()

### hasPkConstraint

    public boolean hasPkConstraint()

### getReadOnlyTimeOut

    public int getReadOnlyTimeOut()

### hasCompositeKey

    public boolean hasCompositeKey()

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

### getDbURL

    public java.lang.String getDbURL()

### getFinders

    public java.util.Iterator getFinders()

### getName

    public java.lang.String getName()

### getNumberOfCMPFields

    public int getNumberOfCMPFields()

### getPrimaryKeyClass

    public java.lang.Class getPrimaryKeyClass()

### isReadOnly

    public boolean isReadOnly()

### getEjbReferences

    public java.util.Iterator getEjbReferences()

### getPrimKeyField

    public java.lang.String getPrimKeyField()

### hasSelectForUpdate

    public boolean hasSelectForUpdate()

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.